[tbb-commits] [builders/tor-browser-build] 12/32: Bug 40414: Add download-unsigned-sha256sums-gpg-signatures-from-people-tpo script

gitolite role git at cupani.torproject.org
Wed Apr 20 09:38:49 UTC 2022


This is an automated email from the git hooks/post-receive script.

boklm pushed a commit to branch master
in repository builders/tor-browser-build.

commit a6783cfbaf30968c70390c7591633bf18bd1389f
Author: Nicolas Vigier <boklm at torproject.org>
AuthorDate: Tue Feb 8 19:11:46 2022 +0100

    Bug 40414: Add download-unsigned-sha256sums-gpg-signatures-from-people-tpo script
---
 ...ad-unsigned-sha256sums-gpg-signatures-from-people-tpo | 16 ++++++++++++++++
 tools/signing/set-config                                 |  2 ++
 2 files changed, 18 insertions(+)

diff --git a/tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo b/tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo
new file mode 100755
index 0000000..a26b051
--- /dev/null
+++ b/tools/signing/download-unsigned-sha256sums-gpg-signatures-from-people-tpo
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+script_dir=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
+source "$script_dir/functions"
+
+for builder in $tb_builders
+do
+  for file in sha256sums-unsigned-build.txt.asc sha256sums-unsigned-build.incrementals.txt.asc
+  do
+    tmpfile=$(mktemp)
+    chmod 644 "$tmpfile"
+    wget -q -O "$tmpfile" "https://people.torproject.org/~$builder/builds/$tbb_version-build$tbb_version_build/$file" || \
+      wget -q -O "$tmpfile" "https://people.torproject.org/~$builder/builds/tor-browser/$tbb_version-build$tbb_version_build/$file" && \
+      mv "$tmpfile" "$signed_version_dir/$file-$builder" && echo "Added $file-$builder"
+  done
+done
diff --git a/tools/signing/set-config b/tools/signing/set-config
index e81ccac..70bd311 100644
--- a/tools/signing/set-config
+++ b/tools/signing/set-config
@@ -13,3 +13,5 @@ faketime_path=/usr/lib/x86_64-linux-gnu/faketime/libfaketime.so.1
 echo "${BASH_ARGV0:-}" | grep -q '\.dry-run$' && DRY_RUN='--dry-run'
 test -z "${NON_INTERACTIVE:-}" || rsync_progress="--progress"
 rsync_options="-avH ${rsync_progress:-} ${DRY_RUN:-}"
+
+tb_builders='aguestuser boklm gk pierov richard sysrqb'

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the tbb-commits mailing list